import test from 'ava'
import ziptag from '../'
import random from './helpers/randomObj'

const NUM_TARGETS = 20
const NUM_TRIES = 100

test('should always produce same output for given input', t => {
  const targets = [... new Array(NUM_TARGETS)].map(() => random(10, 10))
  const tags = targets.map(v => ziptag(v))

  for (let i = 0; i < NUM_TARGETS; ++ i) {
    for (let j = 0; j < NUM_TRIES; ++ j) {
      t.is(ziptag(targets[i]), tags[i], 'should always produce deterministic tag')
    }
  }
})
