import test from 'ava'
import ziptag from '../'

test('should not produce same tags for all falsy values', t => {
  const NULL_TAG = ziptag(null)

  t.is(ziptag(NaN), NULL_TAG, 'NaN should be same as null tag')
  t.snapshot(ziptag(undefined), 'undefined should be same as empty tag')

  t.snapshot(ziptag({}), 'object tag should equal snapshot')
  t.is(ziptag({}), ziptag(Object.create(null)), 'object prototype should be ignored')

  t.snapshot(ziptag(0), 'zero tag should equal snapshot')
  t.not(ziptag(0), NULL_TAG, 'zero tag should not equal null tag')
})
