import test from 'ava'
import ziptag from '../'

test('should skip given paths', t => {
  const shallow = {
    a: {
      b: {
        c: {
          d: '1',
          e: '2',
          f: '3',
          g: '4'
        }
      }
    }
  }

  const deep = JSON.parse(JSON.stringify(shallow))
  deep.a.b.c = Object.assign(deep.a.b.c, {
    h: 'x',
    i: 'x',
    j: 'x',
    k: 'x',
  })

  t.is(ziptag(deep, {
    'a.b.c.h': false,
    'a.b.c.i': false,
    'a.b.c.j': false,
    'a.b.c.k': false,
  }), ziptag(shallow), 'deep & shallow should have same sig after skips')
})
